Devuan bug report logs - #407
eudev preinst fails to detect availability of requisite kernel features

version graph

Package: eudev; Maintainer for eudev is Devuan Dev Team <devuan-dev@lists.dyne.org>;

Reported by: KORN Andras <korn-debbugs@elan.rulez.org>

Date: Wed, 11 Mar 2020 17:33:01 UTC

Severity: normal

Tags: patch

Merged with 383

Found in versions 3.2.9-7, 3.2.2-13

Fixed in version 3.2.9-10

Done: dak@devuan.org

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#407; Package eudev. (Wed, 11 Mar 2020 17:33:01 GMT) (full text, mbox, link).


Acknowledgement sent to KORN Andras <korn-debbugs@elan.rulez.org>:
New bug report received and forwarded. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Wed, 11 Mar 2020 17:33:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: KORN Andras <korn-debbugs@elan.rulez.org>
To: Devuan Bug Tracking System <submit@bugs.devuan.org>
Subject: eudev preinst fails to detect availability of requisite kernel features
Date: Wed, 11 Mar 2020 18:24:03 +0100
Package: eudev
Version: 3.2.9-7
Severity: normal

Hi,

this code:

  if [ -e /proc/kallsyms ]; then

      local needed_symbols='inotify_init signalfd accept4 open_by_handle_at timerfd_create epoll_create'
      for symbol in $needed_symbols; do
      if ! egrep -q "^[a-fA-F0-9]+ T \.?sys_${symbol}$" /proc/kallsyms; then
          cat <<END
Since release 198, udev requires support for the following features in
the running kernel:

- inotify(2)            (CONFIG_INOTIFY_USER)
- signalfd(2)           (CONFIG_SIGNALFD)
- accept4(2)
- open_by_handle_at(2)  (CONFIG_FHANDLE)
- timerfd_create(2)     (CONFIG_TIMERFD)
- epoll_create(2)       (CONFIG_EPOLL)
END
          exit 1
      fi
      done
  fi

thought that my kernel was missing one of the required features, but in fact I have all of them:

ffffffffab1bd402 T __ia32_sys_inotify_init
ffffffffab1bd402 T __x64_sys_inotify_init
ffffffffab1c1554 T __x64_sys_signalfd
ffffffffab1c1562 T __ia32_sys_signalfd
ffffffffab1c15fb T __ia32_compat_sys_signalfd
ffffffffab1c160d T __x32_compat_sys_signalfd
ffffffffab473fc5 T __sys_accept4
ffffffffab474170 T __x64_sys_accept4
ffffffffab474188 T __ia32_sys_accept4
ffffffffab1d5118 T __ia32_sys_open_by_handle_at
ffffffffab1d512a T __ia32_compat_sys_open_by_handle_at
ffffffffab1d513a T __x32_compat_sys_open_by_handle_at
ffffffffab1d514b T __x64_sys_open_by_handle_at
ffffffffab1c1c84 T __x64_sys_timerfd_create
ffffffffab1c1c91 T __ia32_sys_timerfd_create
ffffffffab1c029d T __ia32_sys_epoll_create
ffffffffab1c02b4 T __x64_sys_epoll_create

The regex is wrong; it should probably be

      if ! egrep -q "^[a-fA-F0-9]+ T .*sys_${symbol}$" /proc/kallsyms; then

This is with a self-built 4.19.23 kernel, fwiw.

-- Package-specific info:

-- System Information:
Init: runit (via /run/runit.stopit)

Best regards,

András

Ps. Please Cc me explicitly if you reply.

-- 
         Some people are like slinkies. Not really good for anything,
     yet you can't help but smile when you see one pushed down the stairs.

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#407; Package eudev. (Mon, 26 Apr 2021 16:48:01 GMT) (full text, mbox, link).


Acknowledgement sent to Arne Wichmann <aw@saar.de>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Mon, 26 Apr 2021 16:48:05 GMT) (full text, mbox, link).


Message #10 received at 407@bugs.devuan.org (full text, mbox, reply):

From: Arne Wichmann <aw@saar.de>
To: control@bugs.devuan.org, 407@bugs.devuan.org
Subject: eudev Bug reorg
Date: Mon, 26 Apr 2021 18:28:22 +0200
[Message part 1 (text/plain, inline)]
reopen 383
forcemerge 407 383
tags 407 + patch
thanks

After looking a bit more deeply into this I find that it is still open.

It only bites if you are running a too new kernel while upgrading from
someting below 3.2.7-1 to 3.2.7-1 or greater. And while not being chrooted.

I propose the patch of András:

--- ./eudev.preinst     2020-11-07 21:09:24.000000000 +0100
+++ /tmp/eudev.preinst  2021-04-26 18:25:02.970434903 +0200
@@ -18,7 +18,7 @@

       local needed_symbols='inotify_init signalfd accept4 open_by_handle_at timerfd_create epoll_create'
       for symbol in $needed_symbols; do
-      if ! egrep -q "^[a-fA-F0-9]+ T \.?sys_${symbol}$" /proc/kallsyms; then
+      if ! egrep -q "^[a-fA-F0-9]+ T .*sys_${symbol}$" /proc/kallsyms; then
          cat <<END
 Since release 198, udev requires support for the following features in
 the running kernel:

----
It leaves open corner cases but less than the version before.

cu

AW
-- 
[...] If you don't want to be restricted, don't agree to it. If you are
coerced, comply as much as you must to protect yourself, just don't support
it. Noone can free you but yourself. (crag, on Debian Planet)
Arne Wichmann (aw@saar.de)
[signature.asc (application/pgp-signature, inline)]

Information forwarded to devuan-bugs@lists.dyne.org, Devuan Dev Team <devuan-dev@lists.dyne.org>:
bug#407; Package eudev. (Mon, 26 Apr 2021 16:48:10 GMT) (full text, mbox, link).


Acknowledgement sent to Arne Wichmann <aw@saar.de>:
Extra info received and forwarded to list. Copy sent to Devuan Dev Team <devuan-dev@lists.dyne.org>. (Mon, 26 Apr 2021 16:48:11 GMT) (full text, mbox, link).


Marked as found in versions 3.2.2-13. Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. (Mon, 26 Apr 2021 16:48:14 GMT) (full text, mbox, link).


Merged 383 407 Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. (Mon, 26 Apr 2021 16:48:14 GMT) (full text, mbox, link).


Added tag(s) patch. Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. (Mon, 26 Apr 2021 16:48:14 GMT) (full text, mbox, link).


Merged 383 407 Request was from Arne Wichmann <aw@saar.de> to control@bugs.devuan.org. (Mon, 26 Apr 2021 16:48:16 GMT) (full text, mbox, link).


Reply sent to dak@devuan.org:
You have taken responsibility. (Sun, 05 Sep 2021 22:52:02 GMT) (full text, mbox, link).


Notification sent to KORN Andras <korn-debbugs@elan.rulez.org>:
bug acknowledged by developer. (Sun, 05 Sep 2021 22:52:07 GMT) (full text, mbox, link).


Message #28 received at 407-done@bugs.devuan.org (full text, mbox, reply):

From: dak@devuan.org
To: 407-done@bugs.devuan.org
Subject: #407: fixed in src:eudev version 3.2.9-10
Date: Sun, 05 Sep 2021 21:29:25 +0000
Version: 3.2.9-10

Source package eudev (3.2.9-10) added to Devuan suite unstable.

This closes bug report 407.

Thanks

DAK managing the Devuan archive

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Sat, 04 Sep 2021 13:05:24 +0200
Source: eudev
Architecture: source
Version: 3.2.9-10
Distribution: unstable
Urgency: high
Maintainer: Devuan Dev Team <devuan-dev@lists.dyne.org>
Changed-By: Svante Signell <svante.signell@gmail.com>
Closes: 407 598 600
Changes:
 eudev (3.2.9-10) unstable; urgency=high
 .
   * debian/eudev.maintscript: Remove. Fixes build with debhelper 13.5.
   * debian/changelog: Fix indentation and long lines.
   * debian/eudev.preinst: Fix detection of needed kernel features for
     recent kernels. (Closes: #407, #598)
   * debian/control: Remove dependency on debconf.
   * debian/eudev.postrm: Remove db_purge since we no longer use debconf.
     (Closes: #600)
Checksums-Sha1:
 5ce112896d9724eaa7b38fa98987e9c7a088b4c4 2349 eudev_3.2.9-10.dsc
 7828272d2f41b7934340975d0e1c4d788780060b 62388 eudev_3.2.9-10.debian.tar.xz
 33c9448e580a35ff8d503846fc70814b36194f98 5158 eudev_3.2.9-10_source.buildinfo
Checksums-Sha256:
 6edeac63382214a78eb0ee2267021ef32617155c20aea71cbdeff22e65e20e6d 2349 eudev_3.2.9-10.dsc
 3a9198b282ae092f28a4f0766c35d8369f5ac7a2e41b48842bd2cd5a655d8838 62388 eudev_3.2.9-10.debian.tar.xz
 0f218435c089746fa805aed6eda76705c944b2081e7e51a6d7e8bd35ae104e3b 5158 eudev_3.2.9-10_source.buildinfo
Files:
 3fd2203af8cb37e2d5a2f3deffbddace 2349 admin optional eudev_3.2.9-10.dsc
 1aebdadfe119630c4aa38925e6487428 62388 admin optional eudev_3.2.9-10.debian.tar.xz
 e2621664cfd62622da0206b953c1ac27 5158 admin optional eudev_3.2.9-10_source.buildinfo

-----BEGIN PGP SIGNATURE-----

iQEzBAEBCgAdFiEEcuPLdzMV36LkZHQ9lFMhJFQZIvsFAmE1NJsACgkQlFMhJFQZ
Ivs69Af/TUwf4pYpmE7aF1LYzrctBqPEXhCenKB7urP9SEGjK4cMnxg+bS6C0Zty
jDzuuPOhjEjqtbNw00j4xQ8nTeaME6kCctV8yonygjM/OuzqlrknZQNW5le6H36g
k9lhi78QSkp39BIQI+OUUwuQSMPbpMG82i0JIiSKCue2JaN0pXHZeiCAubQrx0TY
jIxHrqDZOqBXGJFJkF+/ch912ssaHQ/IsrUZ1q/WKeikO9/c+q4Qo9VK13TWGBEl
DG6t4RHv2bfaodWWr2dNPEOp7g74isXU7VWXcMkobvMAgnr4Da+/XRhwjHGfndZd
XtSz//BYKdpCJMSHGAXVgbm4dQRT7w==
=jlhk
-----END PGP SIGNATURE-----

Reply sent to dak@devuan.org:
You have taken responsibility. (Sun, 05 Sep 2021 22:52:09 GMT) (full text, mbox, link).


Notification sent to Arne Wichmann <aw@old-forest.org>:
bug acknowledged by developer. (Sun, 05 Sep 2021 22:52:16 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Sat Sep 18 14:52:31 2021;